server:
  port: 5555
  read_timeout_seconds: 30
  write_timeout_seconds: 30
  idle_timeout_seconds: 60

log_level: "info"  # debug, info, warn, error

google:
  project_id: "ohifproxy"  # Replace with your GCP project ID
  location: "asia-southeast2"    # Match your dataset region
  dataset: "sas-storage"       # Your dataset name
  dicom_store: "store-1"            # Your DICOM store name
  credentials_path: "./credentials/service-account.json"

auth:
  jwt_secret: "vQ6PQqUyh7pBNOytClgN+Nw1XBq7F8Qo6VP3VwIqvHY="  # Change this in production!
  access_token_expiry: 1440  # minutes (24 hours)
  refresh_token_expiry: 168  # hours (7 days)
  enable_database_auth: false  # Set to true when ready to use database

database:
  host: "localhost"
  port: 3306
  user: "dbuser"
  password: "dbpassword"  # Consider using environment variables for sensitive data
  name: "ohif_proxy"

allowed_origins:
  - "*"  # For development; restrict this in production